Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры пути
name
string
обязательно
The name of the memory store.
update_id
string
обязательно
The ID of the memory update operation.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Ответы
The request has succeeded.
Текст
update_id
string
обязательно
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
обязательно
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
обязательно
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
обязательно
Usage statistics of a memory store operation.
embedding_tokens
integer
обязательно
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
обязательно
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
обязательно
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
обязательно
The public continuation instruction.
Запрос
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json